Subject: Re: bug#67946: [PATCH v3] lisp/recentf.el: Add verbosity option

From: Ship Mints <[email-masked]>
Date: Thu, 13 Feb 2025 08:05:26 -0500

I'll patch saveplace in harmony with savehist and leave recentf up to you
and the OP.

On Thu, Feb 13, 2025 at 7:55 AM Stefan Kangas <[email-masked]>
wrote:

> Ship Mints <[email-masked]> writes:
>
> > If we can agree on a name for a "be quiet" variable, I will patch
> saveplace
> > to do the same. That one has been annoying me for a while, too. It uses
> > write-region without an option to suppress its "Wrote" message.
> >
> > Or, in contrast, savehist uses write-region and produces a message only
> > when called interactively, otherwise it's quiet. Perhaps that's even
> better?
>
> That's an excellent point, actually.  I think it would make a whole lot
> of sense to make recentf behave like savehist here.  It would also save
> us from having to add yet another (arguably low-value) user option.
>
> Note that, by default, recentf-mode only saves once on exit, so the
> "write" message will be lost in the noise of exiting anyways.
>
> Eli, WDYT?  Are you okay with making that change instead?
>